global:
  org: 'zooxco' # required (probably passed down by parameter overrides)
  repo: 'driving' # required (probably passed down by parameter overrides)
  githubDomain: 'git.zooxlabs.com'
  dockerRepoDomain: 'docker.zooxlabs.com'
  githubApiPath: '/api/v3'

  # services:
  #   example:
  #     build:
  #       context: ./path/to/context # (at least context or dockerfile required)
  #       dockerfile: ./path/to/Dockerfile
  #       tagPrefix: dev- # Optional tag prefix for denoting custom environment builds
  #       paths:
  #         - paths/in/repo
  #         - to/check/for
  #         - changed/files
  #       resources:
  #         requests:
  #           cpu: 1
  #         limits:
  #           cpu: 2

syncHook: true # Enable argocd build and deploy sync hooks
releaseHook: false # Enable argocd postSync release hook
autoSync:
  enabled: false # Enable CronJob to trigger argocd sync daily
  schedule: "0 0 * * *"

build:
  resources: {}
  #  requests:
  #    cpu: 1
  #    memory: 512Mi
  #    ephemeral-storage: 1.5Gi
  #  limits:
  #    ephemeral-storage: 2Gi

integrationTest:
  enabled: false
  hook: true # Enable argocd integration test sync hook
  image: ubuntu:18.04 # Integration test will run in this image
  workingDir: "." # path in repo
  script: |
    #!/bin/bash

    echo "write integration script in this field"
    echo "$K8S_NAMESPACE is the namespace"
    echo "$(params.env) will be replaced with {{ .Values.global.env }}"
  env: {}
    # EXAMPLE_ENV:
    #   value: example-value

vault-link:
  secrets:
    docker-creds: true
    ssh-key: true
    kubeconfig: true
    github: true
    argocd: true
